> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Start account registration

> Starts an account registration based on the existing customer and subscription



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/integrations/account/newRegistration
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/integrations/account/newRegistration:
    post:
      tags:
        - Integrations
      summary: Start account registration
      description: >-
        Starts an account registration based on the existing customer and
        subscription
      operationId: PosV2Integrations_AccountRegistration
      parameters:
        - name: posSystemId
          in: path
          description: Pos system name
          required: true
          schema:
            type: string
      requestBody:
        description: Account registration request data
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PosAccountNewRegistrationRequest'
            example:
              subscriptionPlanCode: 157AJME5XDSE2
              sendToEmail: '[some_email]'
              configuration:
                posCompanyId: comp5
                posLocationId: loc5
                terminalId: term5
                externalUserId: user5
              profile:
                firstName: PT_141_1_first
                lastName: PT_141_1_last
                email: PT_141_1@mail.com
                phoneNumber: '1111111111'
                companyName: PT_141_1
                address: my address
                city: my city
                state: CA
                website: https://mysite.com
                zip: '12323'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PosAccountNewRegistrationResponseApiResponse
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosAccountNewRegistrationRequest:
      required:
        - sendToEmail
        - subscriptionPlanCode
      type: object
      properties:
        subscriptionPlanCode:
          minLength: 1
          type: string
          description: Subscription plan code
        sendToEmail:
          minLength: 1
          type: string
          description: Email where registration email should be sent
          format: email
        configuration:
          $ref: '#/components/schemas/PosAccountNewRegistrationConfigurationDto'
        profile:
          $ref: '#/components/schemas/PosAccountNewRegistrationProfileDto'
      additionalProperties: false
      description: Pos Account New Registration Request
    PosAccountNewRegistrationResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosAccountNewRegistrationResponse'
      additionalProperties: false
    PosAccountNewRegistrationConfigurationDto:
      required:
        - posCompanyId
        - terminalId
      type: object
      properties:
        posCompanyId:
          minLength: 1
          type: string
          description: Pos Company Id
        posLocationId:
          type: string
          description: POS Location Id
          nullable: true
        externalUserId:
          type: string
          description: External user Id
          nullable: true
        terminalId:
          minLength: 1
          type: string
          description: Terminal Id
      additionalProperties: false
      description: New Registration configuration DTO
    PosAccountNewRegistrationProfileDto:
      required:
        - companyName
        - email
        - firstName
        - lastName
        - phoneNumber
      type: object
      properties:
        firstName:
          minLength: 1
          type: string
          description: Contact person first name
        lastName:
          minLength: 1
          type: string
          description: Contact person last name
        email:
          minLength: 1
          type: string
          description: Email
          format: email
        phoneNumber:
          minLength: 1
          type: string
          description: Phone number
        state:
          type: string
          description: State
          nullable: true
        address:
          type: string
          description: Address
          nullable: true
        city:
          type: string
          description: City
          nullable: true
        zip:
          type: string
          description: Zip code
          nullable: true
        companyName:
          minLength: 1
          type: string
          description: Company name
        website:
          type: string
          description: Link to website
          nullable: true
      additionalProperties: false
      description: New Registration profile DTO
    PosAccountNewRegistrationResponse:
      type: object
      additionalProperties: false
      description: Pos Account New Registration Response
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````